<?php 
/**
 * Createing a bog pannel for customizer
 *
 *
 */
$categories = get_categories(array('hide_empty' => 0));
foreach ($categories as $category) {
	$cat[$category->term_id] = $category->cat_name;
}
/****************************/
// START BLOG SECTION FOR HOME PAGE
/*============BLOG PANEL============*/
$wp_customize->add_section(
	'blog_area',
	array(
		'title' => __( 'Blog Section', 'luzuk-premium' ),
		'panel' => 'luzuk_premium_home_panel',
     	//'priority' => '50',
	)
);
//ENABLE/DISABLE BLOG SECTION
$wp_customize->add_setting(
	'blog_section_disable',
	array(
		'sanitize_callback' => 'luzuk_sanitize_text',
		'default' => 'off'
	)
);
$wp_customize->add_control(
	new luzuk_Switch_Control(
		$wp_customize,
		'blog_section_disable',
		array(
			'settings'      => 'blog_section_disable',
			'section'       => 'blog_area',
			'label'         => __( 'Disable Section', 'luzuk-premium' ),
			'on_off_label'  => array(
				'on' => __( 'Yes', 'luzuk-premium' ),
				'off' => __( 'No', 'luzuk-premium' )
			)   
		)
	)
);

backgroundManager($wp_customize, 'blog', 'blog_area', $color='#fff', get_template_directory_uri().'/images/default-gray.png', 'img');


lzCustomLable($wp_customize, 'blog_area_blogsectionpadding', 'blog_area', 'Section Padding');

$wp_customize->add_setting(
    'blog_areaTpadding',
    array(
        'sanitize_callback' => 'luzuk_sanitize_text',
        'default'           => __( '2em', 'luzuk-premium' )
    )
);
$wp_customize->add_control(
    'blog_areaTpadding',
    array(
        'settings'      => 'blog_areaTpadding',
        'section'       => 'blog_area',
        'type'          => 'text',
        'label'         => __( 'Top ', 'luzuk-premium' )
    )
);
$wp_customize->add_setting(
    'blog_areaBpadding',
    array(
        'sanitize_callback' => 'luzuk_sanitize_text',
        'default'           => __( '7em', 'luzuk-premium' )
    )
);
$wp_customize->add_control(
    'blog_areaBpadding',
    array(
        'settings'      => 'blog_areaBpadding',
        'section'       => 'blog_area',
        'type'          => 'text',
        'label'         => __( 'Bottom', 'luzuk-premium' )
    )
);

$wp_customize->add_setting(
	'blog_title_subtitle_heading',
	array(
		'sanitize_callback' => 'luzuk_sanitize_text'
	)
);
$wp_customize->add_control(
	new luzuk_Customize_Heading(
		$wp_customize,
		'blog_title_subtitle_heading',
		array(
			'settings'		=> 'blog_title_subtitle_heading',
			'section'       => 'blog_area',
			'label'         => __( 'Section Heading ', 'luzuk-premium' ),
		)
	)
);

$wp_customize->add_setting(
	'blog_title',
	array(
		'sanitize_callback' => 'luzuk_sanitize_text',
		'default'           => __( '<span>OUR</span> BLOG', 'luzuk-premium' )
	)
);
$wp_customize->add_control(
	'blog_title',
	array(
		'settings'      => 'blog_title',
		'section'       => 'blog_area',
		'type'          => 'text',
		'label'         => __( 'Section Heading', 'luzuk-premium' )
	)
);
addColorPalatOption($wp_customize, 'blogarea_sectitle_color', 'blog_area', 'Heading Color', '#fff');
addColorPalatOption($wp_customize, 'blogarea_secspantitle_color', 'blog_area', 'Span Color ', '#000');
addColorPalatOption($wp_customize, 'blogarea_sectitlebg_color1', 'blog_area', 'Heading BG Color 1', '#fff');
addColorPalatOption($wp_customize, 'blogarea_sectitlebg_color2', 'blog_area', 'Heading BG Color 2', '#ff6f00');
addColorPalatOption($wp_customize, 'blogarea_sectitlebdr_color', 'blog_area', 'Heading Border Color', '#ff6f00');
//BLOG SETTINGS

lzCustomLable($wp_customize, 'blog_area_post_n', 'blog_area', 'Number Of Post To Show');
$wp_customize->add_setting(
	'blog_post_count',
	array(
		'default'           => '3',
		'sanitize_callback' => 'luzuk_sanitize_choices'
	)
);
$wp_customize->add_control(
	new luzuk_Dropdown_Chooser(
		$wp_customize,
		'blog_post_count',
		array(
			'settings'      => 'blog_post_count',
			'section'       => 'blog_area',
			'label'         => __( 'Number Of Post To Show', 'luzuk-premium' ),
			'choices'       => $luzuk_post_count_choice
		)
	)
);


// END BLOG SECTION FOR HOME PAGE
/****************************/


// CREATING A BLOG SECTION IN CUSTOMIZER FOR BLOG PAGES
$wp_customize->add_section(
	'premium_blog_area',
	array(
		'title' => __( 'Blog Page Settings', 'luzuk-premium' ),
        // 'panel' => 'luzuk_premium_home_panel'
		'priority' =>19
	)
);

$wp_customize->add_setting('blog_categories_settings', array('sanitize_callback' => 'luzuk_sanitize_text'));
$wp_customize->add_control('blog_categories_settings', array(
    'settings' => 'blog_categories_settings',
    'label'    => __('Posts on Blog Page', 'luzuk-premium'),
    'section'  => 'lpremium_blog_area',
    'type'     => 'radio',
    'choices'  => array(
        '0' => __('Excerpts','luzuk-premium'),
        '1' => __('Full Posts','luzuk-premium'),
    ),
));
// ADDING THE CATEGORY TO SELECT
$wp_customize->add_setting('luzuk_blog_categories', array('sanitize_callback' => 'luzuk_sanitize_text'));
$wp_customize->add_control(
	new luzuk_Customize_Checkbox_Multiple(
		$wp_customize,
		'luzuk_blog_categories',
		array(
			'label' => __('Exclude Category From Blog Posts', 'luzuk-premium'),
			'section' => 'premium_blog_area',
			'settings' => 'luzuk_blog_categories',
			'choices' => $luzuk_cat
		)
	)
);

lzCustomLable($wp_customize, 'blog_area_color', 'blog_area', 'Section Color Setting');


addColorPalatOption($wp_customize, 'blogarea_imagelink_color', 'blog_area', 'Image Overlay Color', '#ffa62e');

addColorPalatOption($wp_customize, 'blogarea_clndicnclr', 'blog_area', 'Date Icon', '#000');

addColorPalatOption($wp_customize, 'blogarea_bxicntxtclr', 'blog_area', 'Date Text Color', '#e77219');
addColorPalatOption($wp_customize, 'blogarea_bxbgclr', 'blog_area', 'Date BG Color', '#fff');
addColorPalatOption($wp_customize, 'blogarea_bxbdrclr1', 'blog_area', 'Date Border Color 1', '#FFA200');
addColorPalatOption($wp_customize, 'blogarea_bxbdrclr2', 'blog_area', 'Date Border Color 2', '#FF6F00');

addColorPalatOption($wp_customize, 'blogarea_comticnclr', 'blog_area', 'Comment Icon', '#fff');

addColorPalatOption($wp_customize, 'blogarea_comttxtclr', 'blog_area', 'Comment Color', '#fff');

addColorPalatOption($wp_customize, 'blogarea_box_color', 'blog_area', 'Box BG Color', '#fff');

addColorPalatOption($wp_customize, 'blogarea_Title_color', 'blog_area', 'Title Color', '#000');

addColorPalatOption($wp_customize, 'blogarea_Titlehover_color', 'blog_area', 'Title Hover Color', '#e10309');

addColorPalatOption($wp_customize, 'blogarea_text_color', 'blog_area', 'Text Color', '#aeaeae');


lzCustomLable($wp_customize, 'luzuk_secblog_sbtnclr', 'blog_area', 'Section Button Setting');
$wp_customize->add_setting(
	'blog_button1',
	array(
		'sanitize_callback' => 'luzuk_sanitize_text',
		'default'           => __( 'Read More', 'luzuk-premium' )
	)
);
$wp_customize->add_control(
	'blog_button1',
	array(
		'settings'      => 'blog_button1',
		'section'       => 'blog_area',
		'type'          => 'text',
		'label'         => __( 'Button Text', 'luzuk-premium' )
	)
);
addColorPalatOption($wp_customize, 'blogarea_btntext', 'blog_area', 'Button Text Color', '#ffecde');
addColorPalatOption($wp_customize, 'blogarea_btntexthv', 'blog_area', 'Button Text Hover Color', '#fff');
addColorPalatOption($wp_customize, 'blogarea_btnbg', 'blog_area', 'Button BG Color', '#ff6f00');
addColorPalatOption($wp_customize, 'blogarea_btnbghv', 'blog_area', 'Button BG Hover Color', '#ffa62e');
addColorPalatOption($wp_customize, 'blogarea_btnbdrhv', 'blog_area', 'Button Border Hover Color', '#ff6f00');